
int CreateTortugaCharacters(int n)
{
	ref ch;
	
	///////////////////////////////////////////////////////////////////////////////
	//  
	///////////////////////////////////////////////////////////////////////////////

	makeref(ch,Characters[n]);			//
	ch.id = "Tortuga_Mayor";
	ch.model	= "huber_fra";
	ch.sex = "man";
	ch.City = "Tortuga";
	ch.location	= "tortuga_townhall";
	ch.location.group = "sit";
	ch.location.locator = "sit1";
	ch.Dialog.Filename = "Common_Mayor.c";
	ch.greeting = "op_fra_may_common";
	ch.nation = FRANCE;
	ch.quest.type = "hovernor";
	GiveItem2Character(ch, GUN_COMMON);
	GiveItem2Character(ch, BLADE_LONG);
	SetRandSPECIAL(ch);
    SetSelfSkill(ch, 90, 90, 90, 60, 70);
	ch.standUp = true; //    
	LAi_SetHuberType(ch);
	LAi_RemoveLoginTime(ch);
	LAi_group_MoveCharacter(ch, "FRANCE_CITIZENS");
	LAi_SetImmortal(ch, true);
	n = n + 1;

	makeref(ch,Characters[n]);			//
	ch.id = "Tortuga_Priest";
	ch.model	= "priest_1";
	ch.model.animation	= "man";
	ch.sex = "man";
	ch.City = "Tortuga";
	ch.location	= "Tortuga_church";
	ch.location.group = "barmen";
	ch.location.locator = "stay";
	ch.Dialog.Filename = "Common_church.c";
	ch.greeting = "op_priest_3";
	ch.nation = FRANCE;
	LAi_SetLoginTime(ch, 6.0, 21.99);
	LAi_SetPriestType(ch);
	LAi_group_MoveCharacter(ch, "FRANCE_CITIZENS");
	LAi_SetImmortal(ch, true);
	n = n + 1;

	makeref(ch,Characters[n]);		// 
	ch.id = "Tortuga_waitress";
	ch.model	= "girl_1";
	ch.sex = "woman";
	ch.City = "Tortuga";
	ch.location	= "Tortuga_tavern";
	ch.location.group = "op_whore_blaze_3";
	ch.location.locator = "barmen";
	ch.Dialog.Filename = "Waitress_dialog.c";
	ch.greeting = "Gr_officiant";
	ch.nation = FRANCE;
	LAi_SetWaitressType(ch);
	LAi_RemoveLoginTime(ch);
	LAi_group_MoveCharacter(ch, "FRANCE_CITIZENS");
	LAi_SetImmortal(ch, true);
	n = n + 1;

	makeref(ch,Characters[n]);			//
	ch.id = "Tortuga_tavernkeeper";
	ch.model	= "barmen_1";
	ch.greeting = "op_Barmen_3";
	ch.sex = "man";
	ch.City = "Tortuga";
	ch.location	= "Tortuga_Tavern";
	ch.location.group = "barmen";
	ch.location.locator = "stay";
	ch.Dialog.Filename = "Common_Tavern.c";
	ch.TavernMan = true;
	ch.nation = FRANCE;
	LAi_SetBarmanType(ch);
	LAi_RemoveLoginTime(ch);
	LAi_group_MoveCharacter(ch, "FRANCE_CITIZENS");
	LAi_SetImmortal(ch, true);
	n = n + 1;


	makeref(ch,Characters[n]);			//
	ch.id = "Tortuga_trader";
	ch.model	= "trader_1";
	ch.greeting = "op_tra_common_3";
	ch.sex = "man";
	ch.City = "Tortuga";
	ch.location	= "Tortuga_Store";
	ch.location.group = "barmen";
	ch.location.locator = "stay";
	ch.Dialog.Filename = "Common_Store.c";
	ch.quest.type = "trader";
	ch.nation = FRANCE;
	LAi_SetOwnerType(ch);
	LAi_group_MoveCharacter(ch, "FRANCE_CITIZENS");
	LAi_SetImmortal(ch, true);
	ch.item_date = "";
	n = n + 1;

	makeref(ch,Characters[n]);			//
	ch.id = "Tortuga_shipyarder";
	ch.model	= "shipowner_1";
	ch.greeting = "op_shipyarder_03";
	ch.sex = "man";
	ch.City = "Tortuga";
	ch.location	= "Tortuga_Shipyard";
	ch.location.group = "sit";
	ch.location.locator = "sit1";
	ch.Dialog.Filename = "Common_Shipyard.c";
	ch.nation = FRANCE;
	ch.quest.shiping = "0";
	GiveItem2Character(ch, GUN_COMMON);
	GiveItem2Character(ch, "topor1");
	SetRandSPECIAL(ch);
    SetSelfSkill(ch, 90, 90, 90, 60, 70);
	ch.standUp = true; //    
	LAi_SetLoginTime(ch, 6.0, 21.99);
	LAi_SetHuberType(ch);
	LAi_group_MoveCharacter(ch, "FRANCE_CITIZENS");
	LAi_SetImmortal(ch, true);
	n = n + 1;

	makeref(ch,Characters[n]);			//
	ch.id		= "Tortuga_usurer";
	ch.model	= "usurer_3";
	ch.sex = "man";
	ch.City = "Tortuga";
	ch.location	= "Tortuga_Bank";
	ch.location.group = "barmen";
	ch.location.locator = "stay";
	ch.Dialog.Filename = "Usurer_dialog.c";
	ch.nation = FRANCE;
	ch.greeting = "op_bankeer_3";
	ch.quest.shiping = "0";
	ch.UsurerDeposit = 10000; // *1000 
	LAi_SetOwnerType(ch);
	LAi_group_MoveCharacter(ch, "FRANCE_CITIZENS");
	n = n + 1;

	makeref(ch,Characters[n]);			// 
	ch.id		= "Tortuga_PortMan";
	ch.model	= "usurer_5";
	ch.sex = "man";
	ch.City = "Tortuga";
	ch.location	= "Tortuga_PortOffice";
	ch.location.group = "sit";
	ch.location.locator = "sit1";
	ch.Dialog.Filename = "Common_Portman.c";
	ch.nation = FRANCE;
	ch.greeting = "op_portmans_3";
	LAi_SetHuberType(ch);
	LAi_group_MoveCharacter(ch, "FRANCE_CITIZENS");
	LAi_SetImmortal(ch, true);
	ch.item_date = "";
	n = n + 1;

	makeref(ch,Characters[n]);			// 
	ch.id		= "Tortuga_Hostess";
	ch.name		= xiDStr("Margaret");
	ch.lastname = "";
	ch.model	= "lady02";
	ch.sex = "woman";
	ch.City = "Tortuga";
	ch.location	= "Tortuga_SecBrRoom";
	ch.location.group = "goto";
	ch.location.locator = "goto8";
	ch.Dialog.Filename = "Common_Brothel.c";
	ch.nation = FRANCE;
	ch.greeting = "hostess";
	ch.questChurch = ""; //  
	LAi_SetOwnerType(ch);
	LAi_group_MoveCharacter(ch, "FRANCE_CITIZENS");
	n = n + 1;

    makeref(ch,Characters[n]);
	ch.name 	= xiDStr("Smuggler");
	ch.lastname = "";
	ch.id		= "Tortuga_Smuggler";
	ch.model    = "pirate_1";
	ch.sex      = "man";
	LAi_SetLoginTime(ch, 0.0, 24.0);
	ch.nation = PIRATE;
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	//   
	ch.Dialog.Filename = "Smuggler Agent_dialog.c";
	LAi_SetSitType(ch);
	LAi_SetHP(ch, 80.0, 80.0);
	ch.greeting = "Gr_Smuggler Agent";
	n = n + 1;
	
	return n;
}
